Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230961 - Evolution crashes when trying to modify an LDAP based address entry
Summary: Evolution crashes when trying to modify an LDAP based address entry
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 03:35 UTC by david.hagood
Modified: 2018-04-11 16:32 UTC (History)
1 user (show)

Fixed In Version: evolution-2.12.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-29 19:20:02 UTC


Attachments (Terms of Use)
Crash dump from evolution (deleted)
2007-03-05 03:35 UTC, david.hagood
no flags Details

Description david.hagood 2007-03-05 03:35:28 UTC
Description of problem:
Any attempt to modify an address entry stored in an LDAP server will crash
Evolution.

Version-Release number of selected component (if applicable):
evolution-2.9.92-1.fc7


How reproducible:
Every time

Steps to Reproduce:
1. Add an LDAP server to the Evolution address book
2. Select an address entry in the LDAP server
3. Change entry and attempt to save
  
Actual results:
Evolution crashes.

Expected results:
Evolution should modify the LDAP entry.


Additional info:

Comment 1 david.hagood 2007-03-05 03:35:28 UTC
Created attachment 149238 [details]
Crash dump from evolution

Comment 2 Christopher Aillon 2007-04-17 19:39:59 UTC
Can you look at this one Matt?

Comment 3 Milan Crha 2007-11-21 09:48:32 UTC
Matt, it's probably in the block of '#ifdef LDAP_DEBUG_MODIFY', why is this
enabled? Maybe we can disable it, but everything seems to be fine, from my point
of view, I looked to the code and I do not see any trouble there, everything is
a string, null terminated, maybe except a photo.

David, does your contact had a photo, when you was saving your changes?

Comment 4 Matěj Cepl 2008-01-18 17:37:07 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 5 david.hagood 2008-01-18 18:21:01 UTC
I cannot reproduce this with the latest Evolution (evolution-2.12.2-2.fc8)

Comment 6 Matthew Barnes 2008-01-29 19:20:02 UTC
Thanks for the update.  Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.